Subject: Re: bug#65095: 30.0.50; thread_check_current_buffer

From: Helmut Eller <[email-masked]>
Date: Sat, 05 Aug 2023 16:42:46 +0200

>> I don't understand why this check is there
>
> How would kill-buffer know whether it's okay to kill a buffer that is
> current in another thread?  When we kill the current buffer in the
> current thread, we do quite a bit of juggling to replace it with some
> other, and punt if not possible.  We also "do nothing" if the buffer
> to be killed is the currently active minibuffer or the sole visible
> buffer.  So this "do nothing" in this case is not without precedent,
> and cannot be just removed without having some non-trivial code in its
> stead, right?

Well, then I guess this is just something that one has to accept when
using threads.  One more reason not to use threads.

You can close the bug.

Helmut